SAYTIME(1)

NAME
saytime - audio time check

SYNOPSIS
saytime [ -ch ] [ -d dir ] [ -f fmt ] [ -o dev ] [ -t output-type ]

DESCRIPTION
saytime speaks the current time through the computer's sound device.

OPTIONS

-v factor
    Increase volume level by factor. Directly passed on to sox.

-r sec
    Repeat at the specified interval in background mode.

-c  Output to stdout.

-d dir
    Use sounds from alternate directory (default /usr/share/saytime).

-f fmt
    Specify format of time message. (see FORMAT STRING below).

-h  Display simple help.

-o dev
    Output to alternate file. If -t is not specified with -o, -t defaults to ossdsp.

-t output-type
    Specify the output type (oss, alsa, etc.); this is passed directly to sox. If neither -t nor -o is specified, saytime will pick a default destination via sox -d.

FORMAT STRING
A format string can be specified to control the time message. Valid format characters are:

%k  hour, 24-hour clock (00..23)

%l  hour, 12-hour clock (01..12)

%M  minutes

%P  Introductory phrase ('The time is')

%S  seconds

The default format string is %P%l%M%S.

BUGS
Likely a few. It doesn't handle errors gracefully.

CONTRIBUTORS
Jef Poskanzer (original author),

Patrick J. Edwards <pje120@mail.usask.ca>

Charles Briscoe-Smith <cpbs@debian.org>

David C Dawson <beagle7@pacificcoast.net> (the -v and -r options)